<div class="D35E chat-card item-card" data-actor-id="{{actor._id}}" data-item-id="{{item._id}}" {{#if
     tokenId}}data-token-id="{{tokenId}}" {{/if}} >
<header class="card-header flexrow">
    <img src="{{item.img}}" title="{{item.name}}" width="36" height="36"/>
    {{#if name}}
    {{#if useAmmoName}}<div class="flexcol"><h3 style="line-height: 20px">{{name}}</h3><h4 style='line-height: 16px; font-family: "Nodesto", "Signika", "Palatino Linotype", serif; font-size: 18px; opacity: 0.6;'>{{useAmmoName}}</h4></div>{{/if}}
    {{#unless useAmmoName}}<h3>{{name}}</h3>{{/unless}}
    {{/if}}
</header>

{{#if hasTargets}}
<header class="card-header flexrow">
    <img src="{{actor.img}}" title="{{item.name}}" width="36" height="36" style="border: none;"/>
    <div class="flexcol"><h3 style="line-height: 20px">{{actor.name}}</h3>
        <h4 style='line-height: 16px; font-family: "Nodesto", "Signika", "Palatino Linotype", serif; font-size: 18px; opacity: 0.6;'>{{localize "D35E.Attacks"}}
        </h4></div>

    {{#each targets as |target|}}
    <img src="{{target.data.img}}" data-target="{{target.id}}" width="36" height="36" style="border: none;">
    {{/each}}
    {{#each hiddenTargets as |target|}}
    <img src="{{target.data.img}}" class="gm-sensitive" data-target="{{target.id}}" width="36" height="36" style="border: none; opacity: 0.5;">
    {{/each}}
</header>
{{/if}}
<div class="card-content">
    {{#each attacks as |atk|}}
    <div class="chat-attack compact">
        <div class="toggle-box">
            <div class="flexrow">
                <div class="flexcol toggle-header">

                    <div class="flexrow">
                        {{#if atk.hasAttack}}
                        <div class="dice-roll damage-roll" style="{{#if atk.hasDamage}}flex: 0 50px{{/if}}">
                            <div class="dice-flavor">{{localize "D35E.Attack"}} {{#if ../item.data.ability.vsTouchAc}}<i class="fas fa-hand-paper"></i>{{/if}}{{#if ../incorporeal}}<i class="fas fa-ghost"></i>{{/if}}</div>
                            <div class="dice-result">
                                <h4 class="dice-total{{#if atk.attack.isCrit}} success{{/if}}{{#if atk.attack.isFumble}} failure{{/if}}">
                                    {{atk.attack.total}}</h4>
                            </div>
                        </div>

                        {{/if}}
                        {{#if atk.hasDamage}}
                        <div class="dice-roll damage-roll">
                            <div class="dice-flavor">{{atk.damage.flavor}}{{#if ../nonLethal}}<i class="fas fa-tint-slash"></i>{{/if}}</div>
                            <div class="dice-result">
                                <h4 class="dice-total">
                                    {{atk.damage.total}}
                                    {{{atk.damage.shortTooltip}}}
                                </h4>
                            </div>
                        </div>
                        {{/if}}
                    </div>

                    {{#if atk.hasSubdamage}}
                    {{#each atk.subDamage as |dmg|}}
                    <div class="dice-roll damage-roll">
                        {{#if dmg.flavor}}
                        <div class="dice-flavor">{{dmg.flavor}}</div>
                        {{/if}}
                        <div class="dice-result">
                            <h4 class="dice-total">{{dmg.total}}</h4>

                        </div>
                    </div>
                    {{/each}}
                    {{/if}}
                </div>


                {{#if atk.cards.length}}
                <div class="flexcol card-buttons special-action-button" style="margin: 0;  min-width: 40px; max-width: 90px; flex-basis: auto; flex-grow: 0; {{#if ../dc.isHalf}}flex: 0 0 90px{{else}}flex: 0 0 45px{{/if}}">
                    {{#each atk.cards as |card|}}
                    <div style="flex: 0;" class="flexrow">
                    <button style="height: 26px; line-height: 26px; font-size: 16px; margin-top: 20px;overflow: hidden; flex: 0 45px" data-action="{{card.action}}" data-natural="{{card.natural20}}" data-naturalcrit="{{card.natural20Crit}}" data-fumble="{{card.fumble}}" data-fumblecrit="{{card.fumbleCrit}}" data-nonLethal="{{../../nonLethal}}" data-normaljson="{{card.normalDamage}}" data-json="{{card.data}}" data-critroll="{{../critConfirm.total}}" data-roll="{{../attack.total}}" data-enh="{{card.enh}}"
                            data-material="{{card.material}}" data-incorporeal="{{card.incorporeal}}"  data-alignment="{{card.alignment}}" data-value="{{card.value}}" data-attacker="{{../../actor._id}}" {{#if ../../useAmmoId}}data-ammoid="{{../../useAmmoId}}"{{/if}}  {{#if ../../tokenId}}data-attackertoken="{{../../tokenId}}" {{/if}}>
                        {{card.label}}
                    </button>
                    {{#if ../../dc.isHalf}}
                    <button style="height: 26px; line-height: 26px; font-size: 16px; margin-top: 20px;overflow: hidden; flex: 0 45px" data-action="{{card.action}}Half" data-natural="{{card.natural20}}" data-naturalcrit="{{card.natural20Crit}}" data-fumble="{{card.fumble}}" data-fumblecrit="{{card.fumbleCrit}}" data-nonLethal="{{../../nonLethal}}" data-normaljson="{{card.normalDamage}}" data-json="{{card.data}}" data-critroll="{{../critConfirm.total}}" data-roll="{{../attack.total}}" data-enh="{{card.enh}}"
                            data-material="{{card.material}}" data-incorporeal="{{card.incorporeal}}" data-alignment="{{card.alignment}}" data-value="{{card.value}}" data-attacker="{{../../actor._id}}" {{#if ../../useAmmoId}}data-ammoid="{{../../useAmmoId}}"{{/if}} {{#if ../../tokenId}}data-attackertoken="{{../../tokenId}}" {{/if}}>
                        {{card.label}} ½
                    </button>
                    {{/if}}
                    </div>
                    {{/each}}
                </div>
                {{/if}}
            </div>


            {{#if atk.hasAltDamage}}
            <div class="flexrow">
                <div class="flexcol toggle-header">
                    <div class="dice-roll damage-roll">
                        {{#if altDmg.flavor}}
                        <div class="dice-flavor">{{altDamage.flavor}}</div>
                        {{/if}}
                        <div class="dice-result">
                            <h4 class="dice-total">{{altDamage.total}}</h4>

                        </div>
                    </div>
                </div>


                {{#if atk.altCards.length}}
                <div class="flexcol card-buttons special-action-button" style="margin: 0;  min-width: 40px; max-width: 90px; flex-basis: auto; flex-grow: 0; flex: 0 0 90px">
                    {{#each atk.altCards as |card|}}
                    <div style="flex: 0;" class="flexrow">
                        <button style="height: 26px; line-height: 26px; font-size: 16px; margin:0; overflow: hidden;" data-action="{{card.action}}" data-natural="{{card.natural20}}" data-naturalcrit="{{card.natural20Crit}}" data-fumble="{{card.fumble}}" data-fumblecrit="{{card.fumbleCrit}}" data-nonLethal="{{../../nonLethal}}" data-normaljson="{{card.normalDamage}}" data-json="{{card.data}}" data-critroll="{{../critConfirm.total}}" data-roll="{{../attack.total}}" data-enh="{{card.enh}}"
                                data-material="{{card.material}}" data-incorporeal="{{card.incorporeal}}"  data-alignment="{{card.alignment}}" data-value="{{card.value}}" data-attacker="{{../../actor._id}}" {{#if ../../useAmmoId}}data-ammoid="{{../../useAmmoId}}"{{/if}}  {{#if ../../tokenId}}data-attackertoken="{{../../tokenId}}" {{/if}}>
                        {{card.label}}
                        </button>
                    </div>
                    {{/each}}
                </div>
                {{/if}}
            </div>
            
            {{/if}}
            <div class="toggle-content dice-tooltips" style="display: none">
                {{#if atk.hasAttack}}
                <div class="dice-flavor" style="text-align: center"><h2>Attack details</h2></div>
                {{{atk.attack.tooltip}}}
                {{/if}}
                {{#if atk.hasDamage}}
                <div class="dice-flavor" style="text-align: center"><h2>Damage details</h2></div>
                {{{atk.damage.tooltip}}}
                {{/if}}

                {{#if atk.hasAltDamage}}
                <div class="dice-flavor" style="text-align: center"><h2>Alternative Damage details</h2></div>
                {{{atk.altDamage.tooltip}}}
                {{/if}}

                {{#if atk.hasSubdamage}}
                {{#each atk.subDamage as |dmg|}}
                <div class="dice-flavor" style="text-align: center"><h2>Sub-Attack Damage details</h2></div>
                {{{dmg.tooltip}}}
                {{/each}}
                {{/if}}
            </div>
        </div>

        {{#if atk.hasCritConfirm}}
            <div class="toggle-box">

                <div class="flexrow toggle-header">
                <div class="flexrow">
                    <div class="dice-roll damage-roll" style="flex: 0 50px">
                        <div class="dice-flavor">{{localize "D35E.CritS"}} {{#if ../item.data.ability.vsTouchAc}} <i class="fas fa-hand"></i>{{/if}} {{#if ../incorporeal}}<i class="fas fa-ghost"></i>{{/if}}</div>
                        <div class="dice-result">
                            <h4 class="dice-total{{#if atk.critConfirm.isCrit}} success{{/if}}{{#if atk.critConfirm.isFumble}} failure{{/if}}">
                                {{atk.critConfirm.total}}</h4>
                        </div>
                    </div>
                    {{#if atk.hasDamage}}
                    <div class="dice-roll damage-roll">
                        <div class="dice-flavor">{{localize "D35E.Damage"}}{{#if ../nonLethal}}<i class="fas fa-tint-slash"></i>{{/if}}</div>
                        <div class="dice-result">
                            <h4 class="dice-total">
                                {{atk.critDamage.total}}
                                {{{atk.critDamage.critShortTooltip}}}
                            </h4>
                        </div>
                    </div>
                    {{/if}}
                </div>
                </div>

                <div class="toggle-content dice-tooltips" style="display: none">
                    <div class="dice-flavor" style="text-align: center"><h2>Attack details</h2></div>
                    {{{atk.critConfirm.tooltip}}}
                    <div class="dice-flavor" style="text-align: center"><h2>Damage details</h2></div>
                    {{{atk.critDamage.tooltip}}}
                </div>
            </div>
        {{/if}}


        {{#if ../dc.description}}
        <div class="dice-roll attack-roll">
            <div class="dice-flavor">Saving throw</div>
            <div class="dice-result">
                <h4 class="dice-total{{#if atk.attack.isCrit}} success{{/if}}{{#if atk.attack.isFumble}} failure{{/if}}">
                    {{localize "D35E.DC"}} <span class="dc-value">{{../dc.dc}}</span> {{../dc.description}}</h4>
            </div>
        </div>
        {{/if}}

        {{#if ../dc.description}}
        <div class="flexcol card-buttons">
            <button class="everyone" data-action="rollSave" data-value="{{../dc.type}}" data-ability="{{../dc.ability}}" data-target="{{../dc.dc}}">{{localize
                "D35E.RollSavingThrow"}}
            </button>
        </div>
        {{/if}}
        {{#if ../hasSr}}
        <div class="flexcol card-buttons">
        <button  class="everyone" data-action="rollSR" data-spellpen="{{spellPenetration}}">
            {{localize "D35E.SpellResistance"}}
        </button>
        </div>
        {{/if}}
        {{#if ../hasPr}}
        <div class="flexcol card-buttons">
        <button  class="everyone" data-action="rollPR" data-spellpen="{{spellPenetration}}">
            {{localize "D35E.PowerResistance"}}
        </button>
        </div>
        {{/if}}

        {{#if atk.special.length}}
        <strong style="padding: 0px 2px; margin-bottom: -4px; margin-top: 4px; display: block;">Special actions</strong>
        <div class="flexcol card-buttons">
            {{#each atk.special as |card|}}
            <button class="{{#if card.isTargeted}}special-action-button{{else}}special-action-info{{/if}}" data-action="{{card.action}}" data-json="{{card.data}}" data-value="{{card.value}}">{{#if
                card.hasImg}}<img src="{{card.img}}">{{/if}}{{#if card.isTargeted}}<img class="target"
                                                                                        src="systems/D35E/icons/actions/reticule.svg">{{/if}}{{#unless
                card.isTargeted}}<img class="target" src="systems/D35E/icons/actions/impact-point.svg">{{/unless}}{{card.label}}<br>{{#unless
                card.isTargeted}}<span class="special-action-sublabel">({{localize "D35E.AutoApplied"}})</span>{{/unless}}
            </button>
            {{/each}}
        </div>
        {{/if}}
        <div class="flexcol property-group gm-sensitive" style="margin-top: 4px">
            {{{atk.effectNotes}}}
        </div>
    </div>
    {{/each}}

    {{#if hasExtraText}}
    <div class="extra-text gm-sensitive">{{{extraText}}}</div>
    {{/if}}


</div>
<footer class="card-footer">
    {{#if hasProperties}}
    {{#each properties as |prop|}}
    <div class="footer flexcol property-group gm-sensitive">
        <label>{{prop.header}}</label>
        <div class="flexrow">
            {{#each prop.value as |v|}}
            <span class="tag">{{v}}</span>
            {{/each}}
        </div>
    </div>
    {{/each}}
    {{/if}}
</footer>

</div>
